@import '_content/BlazorEssentials/BlazorEssentials.6oydb6jskt.bundle.scp.css';

/* /Components/AuthorBusinessCard.razor.rz.scp.css */
.author-business-card[b-3wixpbeq06] {
    width: 300px;
    min-height: fit-content;
    height: 350px;
    background-color: rgb(210, 210, 210);
    position: relative;
    padding: 5px;
    padding-bottom: 25px;
    display: flex;
    flex-direction: column;
}
.author-business-card[b-3wixpbeq06]::-webkit-scrollbar {
    appearance: none;
    width: 0.1px;
}

.abc-remove-icon[b-3wixpbeq06] {
    position: absolute;
    width: 25px;
    height: 25px;
    border: none;
    background-color: transparent;
}
.abc-remove-icon:hover[b-3wixpbeq06] {
    cursor: pointer;
}

.abc-pfp-container[b-3wixpbeq06] {
    min-width: 145px;
    width: 145px;
    min-height: 145px;
    height: 145px;
    margin-left: 5px;
    margin-top: 5px;
    display: flex;
    align-self: center;
}
.abc-pfp[b-3wixpbeq06] {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.abc-pfp:hover[b-3wixpbeq06] {
    cursor: pointer;
    filter: brightness(80%);
}
.abc-pfp-upload-button[b-3wixpbeq06] {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: white;
    border: none;
}

.abc-info[b-3wixpbeq06] {
    width: 100%;
    height: min-content;
}

.abc-input[b-3wixpbeq06] {
    margin-top: 15px;
    field-sizing: content;
}

.span-div[b-3wixpbeq06] {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: min-content;
}

.abc-name-input[b-3wixpbeq06],
.abc-role-input[b-3wixpbeq06] {
    width: 120px;
    display: flex;
}

.abc-description-input[b-3wixpbeq06] {
    width: 100%;
    resize: vertical;
}


.abc-youtube-input[b-3wixpbeq06],
.abc-github-input[b-3wixpbeq06],
.abc-discord-input[b-3wixpbeq06] {
    margin-top: 2px;
    width: 100%;
}
/* /Components/Background.razor.rz.scp.css */
.background-container[b-nnk1j1vqke] {
    width: 100%;
    height: 100%;
    min-width: 100vw;
    min-height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    background-color: white;
}
/* /Components/ContactBusinessCard.razor.rz.scp.css */
.contact-business-card[b-uy83p2x2vz] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    position: relative;
    padding: 8px;
    background-color: rgb(210, 210, 210);
    height: min-content;
    width: 100%;
}

.cbc-remove-icon[b-uy83p2x2vz] {
    width: 25px;
    height: 25px;
}
.cbc-remove-icon:hover[b-uy83p2x2vz] {
    cursor: pointer;
}
/* /Components/NotificationManager.razor.rz.scp.css */
.popup-notifications-container[b-h9yw7npyo2] {
    width: fit-content;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    position: fixed;
    justify-self: center;
    top: 0;
    z-index: 999;
    margin-top: 2vh;
}
/* /Components/PopupNotification.razor.rz.scp.css */
.popup-notification[b-auaubgnqrp] {
    min-width: 160px;
    width: fit-content;
    height: 40px;
    border-style: solid;
    border-width: 1px;
    border-radius: 8px;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 10px;
    position: relative;
    animation-name: appearAnimation-b-auaubgnqrp;
    animation-duration: 0.8s;
    transition: ease-in-out 0.2s;
}

@keyframes appearAnimation-b-auaubgnqrp {
    0% {
        top:-100px;
    }
    100% {
        top:0; 
    }
}

.popup-icon[b-auaubgnqrp] {
    width: 25px;
    height: 25px;
}

.popup-message[b-auaubgnqrp] {
    padding: 0;
    margin: 0;
}

.popup-close-button[b-auaubgnqrp] {
    border: none;
    background-color: transparent;
    font-size: 18px;
    color: black;
    margin-left: auto;
}

.POPUP_WARNING[b-auaubgnqrp] {
    background-color: rgb(227, 144, 50);
    border-color: rgb(176, 111, 37);
}
.POPUP_INFO[b-auaubgnqrp] {
    background-color: rgb(194, 185, 174);
    border-color: rgb(143, 137, 130);
}
.POPUP_ERROR[b-auaubgnqrp] {
    background-color: rgb(171, 30, 12);
    border-color: rgb(156, 26, 9);
}
.POPUP_SUCCESS[b-auaubgnqrp] {
    background-color: rgb(9, 145, 43);
    border-color: rgb(6, 99, 29);
}
/* /Components/ProjectItem.razor.rz.scp.css */
.project-item[b-a93tl2hrd0] {
    width: 100%;
    background-color: lightgrey;
    min-height: 150px;
    height: fit-content;
    position: relative;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
}

.project-item-header-container[b-a93tl2hrd0] {
    background-color: transparent;
    width: 100%;
    height: 30px;
    padding-left: 8px;
    padding-top: 8px;
    display: flex;
    flex-direction: row;
}
.project-item-status-indicator[b-a93tl2hrd0] {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: lime;
}
.project-item-manage-button[b-a93tl2hrd0] {
    background-color: transparent;
    border: none;
    padding: 0;
    width: 30px;
    height: 30px;
    position: relative;
    margin-top: -14px;
    margin-left: auto;
    margin-right: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    text-align:center;
}
.manage-button-icon[b-a93tl2hrd0] {
    width: 110%;
    height: 110%;
}


.project-item-body[b-a93tl2hrd0] {
    width: 100%;
    height: 100%;
    padding: 15px;
    padding-top: 0;
    padding-right: 10px;
}

.project-item-lu-container[b-a93tl2hrd0] {
    position: absolute;
    left: 82%;
}

.project-item-name[b-a93tl2hrd0] {
    margin: 0;
    padding: 0;
    font-size: 25px;
    
}

.project-item-info-container[b-a93tl2hrd0] {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 25px;
}
.project-item-info-container .p[b-a93tl2hrd0] {
    margin: 0;
    padding: 0;
}

.project-item-epm-container[b-a93tl2hrd0] {
    min-width: 100%;
    width: 800px;
    max-width: 100%;
    position: relative;
    display: flex;
    flex-direction: row;
    padding-right: 5px;
}
.epm-item[b-a93tl2hrd0] {
    height: 5px;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0cqw;
    transition: ease-in-out 0.2s, font-size ease-in-out 0.2s;
}
.project-item-epm-get[b-a93tl2hrd0] {
    background-color: #61affe;
}
.project-item-epm-post[b-a93tl2hrd0] {
    background-color: #49cc90;
}
.project-item-epm-put[b-a93tl2hrd0] {
    background-color: #fca130;
}
.project-item-epm-patch[b-a93tl2hrd0] {
    background-color: #9e34fa;
}
.project-item-epm-delete[b-a93tl2hrd0] {
    background-color: #ff0000;
}
/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-5n1wztl37j] {
    position: relative;
    display: flex;
    flex-direction: column;
    padding-bottom: 150px;
    overflow-x: hidden;
    width: 100%;
    min-width: 100vw;
    height: 100%;
    min-height: 100vh;
}

main[b-5n1wztl37j] {
    flex: 1;
}

.navmenu-container[b-5n1wztl37j] {
    width: 100%;
    height: 10vh;
    background-color: transparent;
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navmenu[b-dc911zk4wr] {
    padding: 10px;
    border-width: 2px;
    border-color: lightgrey;
    color: var(--bt-txt-color);
    font-family: var(--bt-txt-ff);
    gap: 50px;
    position: fixed;
    z-index: 999;
    background-color: white;
}

.navmenu-brand-container[b-dc911zk4wr] {
    display: flex;
    align-items: center;
    justify-content: center;
}

.navmenu-logo-image[b-dc911zk4wr] {
    width: 250px;
}
.navmenu-logo-image:hover[b-dc911zk4wr] {
    cursor: pointer;
}

.navmenu-navlinks-container[b-dc911zk4wr] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: right;
    gap: 25px;
    padding-right: 55px;
}
.navmenu.navlinks-container .col-4[b-dc911zk4wr] {
    background-color: yellow;
}
.navmenu-navlink[b-dc911zk4wr] {
    appearance: none;
    color: var(--bt-navlink-color);
    text-decoration: none;
    font-size: 1.6rem;
    text-align: center;
    margin: 0;
    padding: 0;
}
.navmenu-navlink-active[b-dc911zk4wr] {
    color: var(--bt-navlink-active-color);
}

.navmenu-account-options[b-dc911zk4wr] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: left;
    /*width: 100%;*/
    gap: 15px;
    flex: 1;
    padding-left: 55px;
}
.navmenu-navlink-account[b-dc911zk4wr] {
    appearance: none;
    text-decoration: none;
    font-size: 1.6rem;
    text-align: center;
    margin: 0;
    border-width: 1px;
    border-style: solid;
    border-radius: 25px;
    border-color: black;
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 2px;
    padding-bottom: 2px;
    color: var(--bt-txt-color);
}
/* /Pages/Projects.razor.rz.scp.css */
.main-content-container[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    width: 60vw;
    height: fit-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5vh;
    background-color: transparent;
    position: relative;
}

.main-content-header[b-y0hu9ojq7l] {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    position: relative;
}

.main-content-header-info-container[b-y0hu9ojq7l] {
    display: flex; 
    flex-direction: row;
    align-items: center;
    text-align: center;
    width: 100%;
}
.main-content-header-info-text[b-y0hu9ojq7l] {
    text-align: center;
    padding: 0;
    margin: 0;
    font-size: 38px;
}


.create-project-container[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-left: auto;
}
.create-project-button[b-y0hu9ojq7l] {
    background-color: transparent;
    color: var(--bt-txt-color);
    border: none;
    width: 50px;
    height: 50px;
    font-size: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: auto;
}
.create-import-project-menu[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    z-index: 3;
    width: 100px;
    height: fit-content;
    background-color: rgb(239, 235, 235);
    padding: 2px;
    margin-top: 100px;
    margin-right: 73px;
}
.create-import-project-create-button[b-y0hu9ojq7l]  {
    background-color: transparent;
    border: none;
    border-bottom-style: solid;
    border-width: 1px;
    border-color: grey;
    width: 100%;
    font-size: 16px;
}
.create-import-project-create-button:hover[b-y0hu9ojq7l] {
    color: rgb(110, 110, 110);
}
.create-import-project-import-button[b-y0hu9ojq7l] {
    background-color: transparent;
    border: none;
    font-size: 16px;
}
.create-import-project-import-button:hover[b-y0hu9ojq7l] {
    color: rgb(110, 110, 110);
}

.main-content-body[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    padding-top: 55px;
    gap: 30px;
    position: relative;
    width: 100%;
}

.projects-no-projects-text[b-y0hu9ojq7l] {
    display: flex;
    justify-self: center;
    align-self: center;
    text-align: center;
    color: var(--bt-txt-color);
    font-size: 24px;
}

/*PROJECT CREATION MODAL RELATED STYLING*/
.project-creation-modal[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    align-self: center;
    position: fixed;
    width: 400px;
    height: 500px;
    background-color: rgba(230, 230, 230, 1);
    border-radius: 8px;
    border-width: 1px;
    border-color: lightgrey;
    border-style: solid;
    box-shadow: 0px 10px 15px 5px rgba(0, 0, 0, 0.5);
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 30px;
    overflow-x: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.project-creation-modal[b-y0hu9ojq7l]::-webkit-scrollbar {
    appearance: none;
    width: 0.01px;
}
.pc-modal-close-button[b-y0hu9ojq7l] {
    background-color: transparent;
    border: none;
    color: var(--bt-txt-color);
    display: flex;
    align-self: end;
    justify-content: center;
    align-items: center;
    position: fixed;
    font-size: 18px;
    margin-top: 5px;
    margin-right: -25px;
    position: relative;
    z-index: 1;
    min-width: 30px;
}
.pc-modal-header[b-y0hu9ojq7l] {
    color: var(--bt-primary-color);
    margin-top: 3vh;
    font-size: 20px;
    display: flex;
    align-self: center;
    padding: 0;
    margin: 0;
    margin-top: 3vh;
}
.pc-modal-label[b-y0hu9ojq7l] {
    margin-top: 3vh;
}
.pc-modal-input[b-y0hu9ojq7l] {
    color: var(--bt-txt-color);
    border-radius: 4px;
    border-style: solid;
    border-width: 2px;
    min-height: 35px;
    field-sizing: content;
}

.pc-modal-authors-container[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding-top: 15px;
    padding-bottom: 8px;
    justify-content: center;
    align-items: center;
}
.pc-modal-author-add-button[b-y0hu9ojq7l] {
    border-width: 1px;
}

.pc-modal-contacts-container[b-y0hu9ojq7l] {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 15px;
    padding-bottom: 8px;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.pc-modal-contact-add-button[b-y0hu9ojq7l] {
    border-width: 1px;
}

.pc-modal-create-project-button[b-y0hu9ojq7l] {
    width: 100%;
    margin-top: 4vh;
    background-color: var(--bt-primary-color);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 20px;
    border-style: solid;
    border-color: lightskyblue;
    border-width: 1px;
    border-radius: 5px;
    transition: ease-in 0.2s;
}
.pc-modal-create-project-button:hover[b-y0hu9ojq7l] {
    background-color: var(--bt-accent-color);
    transform: scale(1.01);
    font-size: 22px;
    border-radius: 10px;
}
/*END OF PROJECT CREATION MODAL STYLING*/
/* /Pages/Testing.razor.rz.scp.css */
.main-content-container[b-bamtbxuqfg] {
    display: flex;
    flex-direction: column;
    justify-self: center;
    gap: 20px;
    width: 1100px;
    min-height: 100vh;
    height: 100%;
    background-color: lightgrey;
}

.create-popup-notification-form[b-bamtbxuqfg] {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: fit-content;
}
